@mixin responsive($key) {
  @media screen and (min-width: map-get($breakpoints,$key)) {
    @content;
  }
}

$breakpoints: (
  tablet: 640px,
  laptop: 1024px,
);

.card {
  width: 150px;
  padding: 1em;
  font-weight: 600;
  text-align: center;
  cursor: pointer;
  &__title {
    font-size: 0.8rem;
  }
  &__description {
    display: none;
  }

  &__image {
    box-shadow: var(--shadow-1);
  }

  @include responsive(tablet) {
    & {
      width: 200px;
      height: 300px;
      background-color: var(--color-5);
      border-radius: 0.5em;
      transition: var(--animation-1);
    }
    &__container {
      position: relative;
    }
    &__icon {
      position: absolute;
      bottom: 15px;
      right: 10px;
      font-size: 3rem;
      color: var(--color-1);
    }
    &__image {
      border-radius: 0.5em;
    }
    &__title {
      font-size: var(--font-size-1);
      text-align: left;
      margin-bottom: 0;
      text-overflow: ellipsis;
      white-space: nowrap;
      overflow: hidden;
    }
    &__description {
      display: -webkit-box;
      margin-top: 0;
      font-size: 0.7rem;
      text-align: left;
      color: var(--color-2);
      -webkit-line-clamp: 2;
      -webkit-box-orient: vertical;
      overflow: hidden;
    }
    &:hover {
      background-color: #404040;
    }
  }
}
